> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Create signs



## OpenAPI

````yaml /openapi/document.json post /v2/documents/{document_id}/signs/
openapi: 3.0.3
info:
  title: Yume API — Документы
  version: 1.0.0
  description: Шаблоны и генерация документов.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v2/documents/{document_id}/signs/:
    post:
      tags:
        - signs
      summary: Create signs
      operationId: signs_create
      parameters:
        - in: path
          name: document_id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentV2SignUpdate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/DocumentV2SignUpdate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/DocumentV2SignUpdate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentV2SignUpdate'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    DocumentV2SignUpdate:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        client:
          type: integer
          writeOnly: true
        method_allowed:
          type: array
          items:
            type: integer
            maximum: 32767
            minimum: 0
        uuid:
          type: string
          format: uuid
          readOnly: true
        method:
          allOf:
            - $ref: '#/components/schemas/MethodEnum'
          readOnly: true
        signer:
          allOf:
            - $ref: '#/components/schemas/Signer'
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/StatusToEnum'
          readOnly: true
      required:
        - client
        - id
        - method
        - signer
        - status
        - uuid
    MethodEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - Вручную
        * `1` - sms
        * `2` - eGov
    Signer:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        phone:
          type: string
          nullable: true
          maxLength: 32
        email:
          type: string
          format: email
          nullable: true
          maxLength: 254
        type:
          $ref: '#/components/schemas/SignerTypeEnum'
        outer_id:
          type: integer
          maximum: 9223372036854776000
          minimum: -9223372036854776000
          format: int64
          nullable: true
      required:
        - id
        - name
    StatusToEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
      type: integer
      description: |-
        * `0` - черновик
        * `1` - готово
        * `2` - просмотр
        * `3` - подтверждение
        * `4` - отклонено
        * `5` - подписано
    SignerTypeEnum:
      enum:
        - company
        - client
      type: string
      description: |-
        * `company` - Компания
        * `client` - Клиент
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````